%define module_name	pentanet
%define module_version	2.3.1
%define module_release	alt5.12

%define kversion	2.4.22
%define krelease	alt12
%define flavour		std-up

%define base_arch %(echo %{_target_cpu} | sed 's/i.86/i386/;s/athlon/i386/')

%define kgcc		gcc-2.96
%ifdef use_ccache
%define kcc "ccache %kgcc"
%else
%define kcc "%kgcc"
%endif

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: %{module_name} kernel module
Summary(ru_RU.KOI8-R):   %{module_name}
Name: kernel-modules-%{module_name}-%{flavour}
Version: %{module_version}
Release: %{module_release}
License: GPL
Group: System/Kernel and hardware
Packager: Denis Ovsienko <pilot@altlinux.ru>
URL: http://www.pentamedia.com/english/supports/technical-netfile.htm
ExclusiveOS: Linux
ExclusiveArch: %{ix86}

BuildPreReq: kernel-build-tools
BuildRequires: %{kgcc_package}
BuildRequires: rpm >= 4.0.2-75
BuildRequires: kernel-headers-%{flavour} = %{kversion}-%{krelease}
BuildRequires: kernel-source-%{module_name} = %{module_version}

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: modutils
PreReq: kernel-image-%{flavour} = %{kversion}-%{krelease}
Requires(postun): kernel-image-%flavour = %kversion-%krelease
Provides: kernel-modules-%{module_name}

%description
%{module_name} provides support for Pent@NET DVB receiver card

%description -l ru_RU.KOI8-R
%{module_name}    DVB-ɣ Pent@NET

%prep
#$#%setup -n %{module_name}-%{module_version}
%__rm -rf kernel-source-%{module_name}-%{module_version}
%__tar -jxvf %{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2
%setup -D -T -n kernel-source-%{module_name}-%{module_version}

%build
%make_build -C driver -e CC=%kcc

%install
# original Makefile is useless here :(
install -D driver/%{module_name}.o %{buildroot}%{module_dir}/%{module_name}.o

%post
/sbin/depmod -a -F /boot/System.map-%{kversion}-%{flavour}-%{krelease} \
    %{kversion}-%{flavour}-%{krelease}

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%{kversion}-%{flavour}-%{krelease} \
    %{kversion}-%{flavour}-%{krelease}

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 2.3.1-alt5.12
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 2.3.1-alt4.12
- Fixed spec file name.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Mon Oct 20 2003 Sergey Vlasov <vsu@altlinux.ru> 2.3.1-alt3.12
- imported to CVS
- fixed module install dir

* Mon Oct 13 2003 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt3
- removed fileutils PreReq

* Sun Oct 12 2003 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt2
- fixed deps to non-versioned kernel source

* Sat Oct 11 2003 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt1
- initial Sisyphus build

